define([
  "dojo/_base/declare",
  "dojo/dom-class",
  "dojo/dom-style",
  "dijit/form/NumberTextBox"
], function(declare, domClass, domStyle, NumberTextBox){
  return declare("wagby.NumberTextBox", [NumberTextBox], {
    postCreate: function() {
      this.inherited(arguments);
      this.setImeMode();
      this.setErrorStyle();
    },

    setImeMode: function() {
      domStyle.set(this.textbox, "imeMode", "inactive");
    },

    setErrorStyle: function() {
      if (!this.inputError || this.inputError === "false") {
        return;
      }
      domClass.add(this.domNode, "errorfield");
    },

  });
});
